
#ifndef BOOST_PROCESS_EXECUTOR_HPP
#define BOOST_PROCESS_EXECUTOR_HPP

#include <boost/process/config.hpp>

#if defined(BOOST_POSIX_API)

#   include <boost/process/posix/executor.hpp>

    namespace boost { namespace process { using posix::executor; }}

#elif defined(BOOST_WINDOWS_API)

#   include <boost/process/windows/executor.hpp>

    namespace boost { namespace process { using windows::executor; }}

#endif

#endif
