
// 
// Copyright (c) 2011 Jeff Flinn
// 
// Distributed under the Boost Software License, Version 1.0. (See accompanying 
// file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt) 
// 

#ifndef BOOST_PROCESS_FILE_DESCRIPTOR_RAY_HPP
#define BOOST_PROCESS_FILE_DESCRIPTOR_RAY_HPP
#include <boost/process/config.hpp>

#if defined(BOOST_POSIX_API)

#   include <boost/process/posix/file_descriptor_ray.hpp>

namespace boost { namespace process { using posix::file_descriptor_ray; }}

#elif defined(BOOST_WINDOWS_API)

#   include <boost/process/windows/file_descriptor_ray.hpp>

namespace boost { namespace process { using windows::file_descriptor_ray; }}


#endif

#endif // 